Docs / Using the API

Daemons

List the daemons running across the team's environments.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the daemons running across the team's environments. Results are scoped to the environments belonging to the team.

Endpoint

GET /api/{team}/daemons

Required ability: daemons:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/daemons?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "name": "horizon",
      "command": "php artisan horizon",
      "username": "deployer",
      "directory": "/home/deployer/apollo/current",
      "processes": 1,
      "environment_id": 12,
      "server_id": 1
    },
    {
      "id": 2,
      "name": "queue-worker",
      "command": "php artisan queue:work --tries=3",
      "username": "deployer",
      "directory": "/home/deployer/apollo/current",
      "processes": 4,
      "environment_id": 12,
      "server_id": 1
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/daemons?page=1",
    "last": "https://rocketeersapp.com/api/your-team/daemons?page=2",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/daemons?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "per_page": 20,
    "to": 20,
    "total": 22,
    "path": "https://rocketeersapp.com/api/your-team/daemons"
  },
  "results": 20,
  "served_in": "11.88ms"
}